Updates Customer Type
Sample request:
PUT /customertypes
{
"name": "New customer type name",
"active": true,
"default": true,
"deleted": false
}
Path Parameters
Customer Type id
Example:10000
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Customer Type model
EmptyExample
Response
application/json
Response
Returns updated Customer Type
V2.CustomerType
Customer type model
Customer type identifier
Customer type name
>= 0 characters<= 60 characters
Customer type active
Customer type default
Customer type deleted
Customer type last modified
Path Parameters
Headers
Body
freighttypes
Creates Freight Type
Sample request:
POST /freighttypes
{
"name": "Freight Type Name",
}
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Freight Type model
EmptyExample
Response
application/json
Response
Freight Type created
FreightType
Freight Type Model
Freight Type name.
>= 0 characters<= 100 characters
Freight Type Id.
Is Freight Type deleted (enabled/disabled)?.
Modified on
Headers
Body
Searches Freight Types by parameters
Searches Freight Types by parameters
Query Parameters
Freight type name.
>= 0 characters<= 100 characters
Is freight type deleted.
Freight type modified since date and time.
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Freight Types data
FreightType.PagingResponse
Freight Type Model
Show Child Parameters
Query Parameters
Headers
Deletes specific Freight Type by id
Deletes specific Freight Type by id
Path Parameters
Freight Type id
Example:10000
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
Response
Freight Type deleted